Get application
Get a single application by ID with endpoint/message counts.
GET
/applications/{id}
Get a single application by ID with endpoint/message counts.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Application details
application/jsonapplication
object
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
uid
string
REQUIRED
description
string | null
REQUIRED
metadata
string | null
REQUIRED
status
string
REQUIRED
rate_limit
integer | null
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
endpoint_count
integer
message_count
integer
401
Unauthorized
404
Application not found
curl -X GET 'https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "application": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "uid": "<string>", "description": "<string>", "metadata": "<string>", "status": "<string>", "rate_limit": 123, "created_at": "<string>", "updated_at": "<string>", "endpoint_count": 123, "message_count": 123 }}
API Playground
Try this endpoint
GET
/applications/{id}